Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\Base\Exceptions\ContentTypeValidationException Class Reference

This Exception is thrown on create or update content type when content type is not valid. More...

Inheritance diagram for eZ\Publish\Core\Base\Exceptions\ContentTypeValidationException:

## Public Member Functions
| __construct ($messageTemplate, array $parameters=[])
Public Member Functions inherited from eZ\Publish\Core\Base\Translatable
| getMessageTemplate ()
| Returns the message template, with placeholders for parameters. More...
| setMessageTemplate ($messageTemplate)
| Injects the message template. More...
| getParameters ()
| Returns a hash map with param placeholder as key and its corresponding value. More...
| setParameters (array $parameters)
| Injects the hash map, with param placeholder as key and its corresponding value. More...
| addParameter ($name, $value)
| Adds a parameter to existing hash map. More...
| addParameters (array $parameters)
| Adds $parameters to existing hash map. More...
| getBaseTranslation ()
| Returns base translation, computed with message template and parameters. More...

## Detailed Description

This Exception is thrown on create or update content type when content type is not valid.

Definition at line 16 of file Core/Base/Exceptions/ContentTypeValidationException.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Base\Exceptions\ContentTypeValidationException::__construct | ( |  | $messageTemplate,
|  | array | $parameters = `[]`
| ) |  |

Parameters

  string | $messageTemplate | The message template, with placeholders for parameters. E.g. "Content with ID %contentId% could not be found".
  array | $parameters | Hash map with param placeholder as key and its corresponding value. E.g. array('contentId' => 123).

@Ignore

Definition at line 26 of file Core/Base/Exceptions/ContentTypeValidationException.php.

References eZ\Publish\Core\Base\$parameters, eZ\Publish\Core\Base\Translatable\getBaseTranslation(), eZ\Publish\Core\Base\Translatable\setMessageTemplate(), and eZ\Publish\Core\Base\Translatable\setParameters().

The documentation for this class was generated from the following file:

- Core/Base/Exceptions/ContentTypeValidationException.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.